'use strict';

var autocomplete = require('@codemirror/autocomplete');
var commands = require('@codemirror/commands');
var language = require('@codemirror/language');
var view = require('@codemirror/view');

const keyBindings = [
  ...commands.defaultKeymap,
  ...commands.historyKeymap
];
const minimalSetup = (() => [
  view.highlightSpecialChars(),
  commands.history(),
  view.drawSelection(),
  autocomplete.closeBrackets(),
  language.syntaxHighlighting(language.defaultHighlightStyle, { fallback: true }),
  view.keymap.of(keyBindings)
])();

exports.minimalSetup = minimalSetup;
//# sourceMappingURL=codemirror-basic-setup.js.map
