'use strict';

var autocomplete = require('@codemirror/autocomplete');
var commands = require('@codemirror/commands');
var language = require('@codemirror/language');
var state = require('@codemirror/state');
var view = require('@codemirror/view');
var common = require('@lezer/common');
var highlight = require('@lezer/highlight');
var codemirrorBasicSetup = require('./codemirror-basic-setup.js');
var parserUtils = require('./parser-utils.js');
var suggestionUtils = require('./suggestion-utils.js');



Object.defineProperty(exports, "autocompletion", {
  enumerable: true,
  get: function () { return autocomplete.autocompletion; }
});
Object.defineProperty(exports, "closeBrackets", {
  enumerable: true,
  get: function () { return autocomplete.closeBrackets; }
});
Object.defineProperty(exports, "startCompletion", {
  enumerable: true,
  get: function () { return autocomplete.startCompletion; }
});
Object.defineProperty(exports, "defaultKeymap", {
  enumerable: true,
  get: function () { return commands.defaultKeymap; }
});
Object.defineProperty(exports, "history", {
  enumerable: true,
  get: function () { return commands.history; }
});
Object.defineProperty(exports, "historyKeymap", {
  enumerable: true,
  get: function () { return commands.historyKeymap; }
});
Object.defineProperty(exports, "HighlightStyle", {
  enumerable: true,
  get: function () { return language.HighlightStyle; }
});
Object.defineProperty(exports, "LRLanguage", {
  enumerable: true,
  get: function () { return language.LRLanguage; }
});
Object.defineProperty(exports, "LanguageSupport", {
  enumerable: true,
  get: function () { return language.LanguageSupport; }
});
Object.defineProperty(exports, "defaultHighlightStyle", {
  enumerable: true,
  get: function () { return language.defaultHighlightStyle; }
});
Object.defineProperty(exports, "ensureSyntaxTree", {
  enumerable: true,
  get: function () { return language.ensureSyntaxTree; }
});
Object.defineProperty(exports, "syntaxHighlighting", {
  enumerable: true,
  get: function () { return language.syntaxHighlighting; }
});
Object.defineProperty(exports, "syntaxTree", {
  enumerable: true,
  get: function () { return language.syntaxTree; }
});
Object.defineProperty(exports, "AnnotationType", {
  enumerable: true,
  get: function () { return state.AnnotationType; }
});
Object.defineProperty(exports, "EditorState", {
  enumerable: true,
  get: function () { return state.EditorState; }
});
Object.defineProperty(exports, "EditorView", {
  enumerable: true,
  get: function () { return view.EditorView; }
});
Object.defineProperty(exports, "drawSelection", {
  enumerable: true,
  get: function () { return view.drawSelection; }
});
Object.defineProperty(exports, "highlightSpecialChars", {
  enumerable: true,
  get: function () { return view.highlightSpecialChars; }
});
Object.defineProperty(exports, "keymap", {
  enumerable: true,
  get: function () { return view.keymap; }
});
Object.defineProperty(exports, "Tree", {
  enumerable: true,
  get: function () { return common.Tree; }
});
Object.defineProperty(exports, "styleTags", {
  enumerable: true,
  get: function () { return highlight.styleTags; }
});
Object.defineProperty(exports, "tags", {
  enumerable: true,
  get: function () { return highlight.tags; }
});
exports.minimalSetup = codemirrorBasicSetup.minimalSetup;
exports.getNamedParentNode = parserUtils.getNamedParentNode;
exports.getNodeByName = parserUtils.getNodeByName;
exports.getPreviousNamedNode = parserUtils.getPreviousNamedNode;
exports.getPreviousNode = parserUtils.getPreviousNode;
exports.getValue = parserUtils.getValue;
exports.asNameSuggestion = suggestionUtils.asNameSuggestion;
exports.booleanJoinSuggestions = suggestionUtils.booleanJoinSuggestions;
exports.equalityOperators = suggestionUtils.equalityOperators;
exports.getNamePrompt = suggestionUtils.getNamePrompt;
exports.getRelationalOperators = suggestionUtils.getRelationalOperators;
exports.numericOperators = suggestionUtils.numericOperators;
exports.stringOperators = suggestionUtils.stringOperators;
exports.toSuggestions = suggestionUtils.toSuggestions;
//# sourceMappingURL=index.js.map
